// .signin-modal {
//   transform: scale(0);
//   opacity: 0;
//   -webkit-transition: all .25s linear;
//   -o-transition: all .25s linear;
//   transition: all .25s linear;
// }

// .signin-modal.in {
//   opacity: 1;
//   transform: scale(1);
// }
body {
    text-shadow: 1px 1px 1px rgba(0,0,0,0.004);
    text-rendering: optimizeLegibility !important;
    -webkit-font-smoothing: antialiased !important;
}
.modal.fade .modal-dialog {
    -webkit-transform: scale(0.1);
    -moz-transform: scale(0.1);
    -ms-transform: scale(0.1);
    transform: scale(0.1);
    top: 300px;
    opacity: 0;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    transition: all 0.3s;
}

.modal.fade.in .modal-dialog {
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
    -webkit-transform: translate3d(0, -300px, 0);
    transform: translate3d(0, -300px, 0);
    opacity: 1;
}
.white_box {
    background: #ffffff;
    @include box-shadow(0px 0px 4px 0px rgba(35, 31, 32, 0.13));
    @include box-sizing(border-box);
    float: left;
    width: 100%;
}
input {
    &.white-plc {
        &::-webkit-input-placeholder {
            color: #8b8b8b !important;
            opacity: 1 !important;
        } /* Chrome/Opera/Safari */
        &::-moz-placeholder {
            color: #8b8b8b !important;
            opacity: 1 !important;
        } /* Firefox 19+ */
        &:-moz-placeholder {
            color: #8b8b8b !important;
            opacity: 1 !important;
        } /* Firefox 18- */
        &:-ms-input-placeholder {
            color: #8b8b8b !important;
            opacity: 1 !important;
        } /* IE 10+ */
    }
}

/* table structure */
.tbl_div {
    clear: both;
    display: table;
    float: left;
    height: 100%;
    width: 100%;
    .tbl-cell {
        display: table-cell;
        float: none;
        height: 100%;
        vertical-align: middle;
    }
}

/* Jquery Counter Style
---------------------------------- */

.timer {
    border: 1px solid #8bc1e1;
    border-radius: 3px;
    @include box-shadow(0 0 5px 0 rgba(69, 133, 163, 0.46));
    display: inline-block;
    float: left;
    padding: 15px 30px;
    text-align: center;
    width: 100%;

    .timer-wrapper {
        display: inline-block;
        float: left;
        text-align: left;
        .time, .text {
            color: #4585a3;
            display: inline-block;
            float: none;
            font-size: 30px;
            font-weight: 600;
            line-height: 1.2;
            padding: 0 5px;
            vertical-align: bottom;
        }
    }
}

/* Jquery Counter Style Ends
---------------------------------- */


/* Custome Scroll */
.scroll_wrap {
    clear: both;
    float: left;
    width: 100%;
    &.mCustomScrollbar {
        &.mCS-autoHide {
            .mCSB_scrollTools {
                opacity: 1;
            }
        }
        .mCSB_inside > .mCSB_container {
            margin-right: 0;
        }
        .mCSB_scrollTools {
            right: 3px;
        }
        .mCSB_scrollTools .mCSB_dragger.mCSB_dragger_onDrag .mCSB_dragger_bar,
        .mCSB_scrollTools .mCSB_dragger:active .mCSB_dragger_bar {
            background-color: #e1e1e1;
        }
        .mCSB_scrollTools .mCSB_dragger .mCSB_dragger_bar {
            background-color: #e1e1e1;
            width: 7px;
        }
        .mCSB_outside + .mCS-minimal-dark.mCSB_scrollTools_vertical,
        .mCSB_outside + .mCS-minimal.mCSB_scrollTools_vertical {
            right: -25px;
        }
    }
}

/* Button style 
---------------------------- */
.comn-btn {
    background: #ffffff none repeat scroll 0 0;
    border: 1px solid #ffffff;
    border-radius: 50px;
    color: #244556;
    display: inline-block;
    float: none;
    font-size: 15px;
    line-height: 1.3;
    padding: 13px 25px;
    text-transform: uppercase;
    @include transition(all 0.2s ease 0s);

    &.prim-btn {
        background-color: #757575;
        border-color: #757575;
        color: #ffffff;
    }

    &:hover, &:active, &:focus {
        background-color: #091216;
        border-color: #091216;
        color: #ffffff;
    }
}

/* Button style Ends
---------------------------- */

/* CheckBox style 
---------------------------- */

/* Custom CheckBox */
.checkBox {
    display: block;
    float: left;
    height: 20px;
    margin: 0;
    position: relative;
    vertical-align: middle;
    width: 22px;

    input[type="checkbox"] {
        height: 100%;
        left: 0;
        margin: 0;
        opacity: 0;
        position: absolute;
        top: 0;
        width: 100%;
        z-index: 10;
    }
    label {
        background: rgba(0, 0, 0, 0) none repeat scroll 0 0;
        border: 1px solid #d9d9d9;
        border-radius: 2px;
        cursor: pointer;
        float: left;
        height: 100%;
        margin: 0;
        position: relative;
        width: 100%;
        z-index: 9;

        &:after {
            border-color: #3a7089;
            border-style: solid;
            border-width: 0 0 2px 2px;
            content: "";
            height: 6px;
            left: 4px;
            opacity: 0;
            position: absolute;
            top: 4px;
            transform: rotate(-45deg) !important;
            width: 12px;
        }
    }
    input[type="checkbox"]:checked + label {
        background: #3a7089 none repeat scroll 0 0;
        border-color: #3a7089;
        &:after {
            border-color: #ffffff;
            opacity: 1;
        }
    }
    input[type="checkbox"]:hover + label {
        border-color: #3a7089;
        /* &:after {
            opacity: 1;
        } */
    }
}

/* Custom CheckBox Ends */

.check_element {
    display: inline-block;
    float: none;
    min-width: 195px;
    padding-left: 30px;
    position: relative;
    text-align: left;
    width: auto;

    .checkBox {
        height: 17px;
        left: 0;
        position: absolute;
        top: 3px;
        width: 17px;

        label {
            border-radius: 0;
            &:after {
                height: 6px;
                left: 3px;
                top: 3px;
                width: 10px;
            }
        }
        input[type="checkbox"]:checked + label {
            background: rgba(0, 0, 0, 0) none repeat scroll 0 0;
            border: 1px solid #5da1d5;
            box-shadow: 0 0 5px 0 rgba(41, 167, 255, 0.3);
            &:after {
                border-color: #5da1d5;
            }
        }
        input[type="checkbox"]:hover + label {
            border-color: #5da1d5;
        }
    }   
    .chk-lbl {
        color: #5c5b5b;
        display: inline-block;
        font-size: 14px;
        font-weight: 400;
        line-height: 1.3;
        margin: 0;
    }         
}
.check_element.checked {
    .chk-lbl {
        // color: #4585a3;
    }
}

/* CheckBox style Ends
---------------------------- */

/* Radio Box style 
---------------------------- */
.radioBox {
    display: inline-block;
    float: none;
    padding-left: 20px;
    position: relative;

    input[type="radio"], .radio_wrap {
        cursor: pointer;
        height: 13px;
        left: 0;
        position: absolute;
        top: 3px;
        width: 13px;
    }

    input[type="radio"] {
        margin: 0;
        opacity: 0;
        z-index: 10;
    }

    label {
        color: rgba(88, 88, 88, 0.5);
        float: left;
        font-size: 14px;
        font-weight: 400;
        line-height: 1.3;
        margin: 0;
        width: 100%;
    }
    .rdo-lbl {
        float: left;
        width: 100%;
    }
    .radio_wrap {
        background: rgba(0, 0, 0, 0) none repeat scroll 0 0;
        border: 1px solid #c2c2c2;
        border-radius: 20px;
        display: block;
        z-index: 9;

        &:after {
            background: #ffb453 none repeat scroll 0 0;
            border: none;
            border-radius: 50px;
            content: "";
            display: block;
            height: 7px;
            left: 2px;
            opacity: 0;
            position: absolute;
            top: 2px;
            width: 7px;
        }
    }
    input[type="radio"]:checked + label > .radio_wrap {
        border-color: #f7921a;
        &:after {
            opacity: 1;
        }
    }
    input[type="radio"]:checked + label {
        color: #f7921a;
    }
    input[type="radio"]:hover + label > .radio_wrap {
        border-color: #f7921a;
        /* &:after {
            opacity: 1;
        } */
    }
}

/* Radio Box style Ends
---------------------------- */

/* Bootstrap Select style
----------------------------------- */

.bootstrap-select {
    &.open > .dropdown-toggle.btn-default {
        background-color: rgba(0, 0, 0, 0);
        // border-color: rgba(0, 0, 0, 0);
        box-shadow: none;
        color: #000;
        &:hover, &:active {
            border-color: #d9d9d9;
        }
    }
    .dropdown-menu {
        padding: 0;
        max-width: 100%;
        .bs-searchbox {
            display: block;
            float: left;
            padding: 5px;
            position: relative;
            width: 100%;
            &:after {
                background-color: rgba(0, 0, 0, 0);
                background-image: url('../images/icon-search-chat.png');
                background-position: 0 0;
                background-repeat: no-repeat;
                background-size: 100%;
                content: '';
                height: 18px;
                left: 15px;
                position: absolute;
                top: 50%;
                @include transform(translateY(-50%));
                width: 20px;
            }
        }
        .form-control {
            border: 1px solid #d6dadc;
            box-sizing: border-box;
            color: #000000;
            float: left;
            height: 34px;
            min-height: auto;
            outline: medium none;
            padding: 5px 10px 5px 35px;
            width: 100%;
            &:focus {
                box-shadow: none;
            }
        }
    }
    ul.dropdown-menu.inner {
        float: left;
        margin: 0;
        max-height: 300px !important;
        padding: 0;
        width: 100%;
        li {
            border-bottom: 1px solid #eaeef0;
            float: left;
            line-height: 1.3;
            margin: 0;
            width: 100%;
            a {
                background-color: rgba(0, 0, 0, 0);
                display: inline-block;
                float: left;
                font-size: 13px;
                line-height: 1.3;
                padding: 5px 14px;
                width: 100%;
            }
            &:hover {
                a {
                    color: #ffffff;
                }
            }
            &.active {
                background-color: #b3c1c9;
                color: #fff;
            }
            &.dropdown-header {
                background-color: #b3c1c9;
                color: #ffffff;
                font-size: 16px;
                padding: 10px;
            }
            &.no-results {
                float: left;
                line-height: 4;
                padding: 10px;
                text-indent: 15px;
                width: 100%;
            }
        }
    }
}

/* Bootstrap Select style Ends
----------------------------------- */


.nav .open > a, .nav .open > a:focus, .nav .open > a:hover {
	background-color:transparent;
	border-color:transparent;
}

/* Input Hover Style
==================================== */

/* Hoshi */
.input--hoshi {
    display: inline-block;
    overflow: hidden;
    position: relative;
    width: 100%;
}
.input-field {
    background: rgba(0, 0, 0, 0) none repeat scroll 0 0;
    border: none;
    color: rgb(9, 18, 22);
    font-size: 14px;
    font-weight: 600;
    padding: 17px 0 5px;
    text-indent: 0;
    width: 100%;
}
.input-label {
    bottom: 0;
    height: 100%;
    left: 0;
    margin: 0;
    overflow: hidden;
    /* padding: 5px 0 0; */    
    padding: 0;
    pointer-events: none;
    position: absolute;
    text-align: left;
    width: 100%;
    &:before, &:after {
        border-bottom: 1px solid #cccccc;
        content: '';
        height: 100%;
        left: 0;
        position: absolute;
        top: 0;
        width: 100%;
    }
    
    &:after {
        border-color: rgba(0, 0, 0, 0) rgba(0, 0, 0, 0);
        border-width: 1px 1px 2px;
        bottom: 0;
        height: auto;
        top: auto;
        -webkit-transform: translate3d(-100%, 0, 0);
        transform: translate3d(-100%, 0, 0);
        -webkit-transition: -webkit-transform 0.3s;
        transition: transform 0.3s;
    }
    .input-label-content {
        bottom: 14px;
        color: #091216;
        display: inline-block;
        font-size: 15px;
        font-weight: 400;
        // height: auto;
        height: 15px;
        /* line-height: 1.3; */
        line-height: 1;
        padding: 0;
        pointer-events: none;
        position: absolute;
        text-align: left;
        text-indent: 0;
        text-transform: capitalize;
        /* top: 18px; */
        white-space: nowrap;        
        width: 100%;
        .error {
            color: #ff0000;
            font-size: 11px;
            margin-left: 5px;
        }
    }
}
.input.text-center .input-label-content,
.input.text-center .input-field {
    text-align: center;
}
.input-field:focus + .input-label::after,
.input-filled .input-label::after {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}
.input-field:focus + .input-label .input-label-content,
.input-filled .input-label-content {
    -webkit-animation: anim-1 0.3s forwards;
    animation: anim-1 0.3s forwards;
    bottom: 22px;
}
.ie_hover .input-field:focus + .input-label .input-label-content,
.ie_hover.input-filled .input-label-content {
    bottom: -15px;
    top: auto;
}
@-webkit-keyframes anim-1 {
    50% {
        opacity: 0;
        -webkit-transform: translate3d(1em, 0, 0);
        transform: translate3d(1em, 0, 0);
    }
    51% {
        opacity: 0;
        -webkit-transform: translate3d(-1em, -40%, 0);
        transform: translate3d(-1em, -40%, 0);
    }
    100% {
        opacity: 1;
        -webkit-transform: translate3d(0, -40%, 0);
        transform: translate3d(0, -40%, 0);
    }
}
@keyframes anim-1 {
    50% {
        opacity: 0;
        -webkit-transform: translate3d(1em, 0, 0);
        transform: translate3d(1em, 0, 0);
    }
    51% {
        opacity: 0;
        -webkit-transform: translate3d(-1em, -40%, 0);
        transform: translate3d(-1em, -40%, 0);
    }
    100% {
        opacity: 1;
        -webkit-transform: translate3d(0, -40%, 0);
        transform: translate3d(0, -40%, 0);
    }
}

/* Input Hover Style Ends
==================================== */

.comn_sign_form {   
    .bootstrap-select {
        float: left;
        margin-top: 4px;
        max-width: 100%;
        width: 100%;
        & > .dropdown-toggle {
            background-color: rgba(0, 0, 0, 0) !important;
            border-color: #d9d9d9;
            border-width: 0 0 1px;
            @include border-radius(0);
            font-size: 11px;
            line-height: 1;
            margin: 0;
            padding-bottom: 13px;
            padding-top: 13px;
            padding-left: 10px;
            text-transform: uppercase;
            &:after {
                background-color: rgba(0, 0, 0, 0);
                background-image: url('../images/icon-txtarea.png');
                @include image-2x("../images/icon-txtarea.png", 8px, 9px);
                background-position: 0 0;
                background-repeat: no-repeat;
                background-size: auto auto;
                bottom: -1px;
                content: "";
                display: block;
                height: 9px;
                position: absolute;
                right: 0;
                width: 8px;
            }
            &:hover,
            &:active {
                background-color: transparent;
                box-shadow: none;
            }
            &:focus {
                outline: none !important;
            }
            .filter-option {
                color: #9a9a9a;
                line-height: 1;
            }
            .bs-caret {
                display: none;
            }
        }
        .btn-default {
            .active, &:active {
                background-color: rgba(0, 0, 0, 0) !important;
                // border-color: rgba(0, 0, 0, 0);
                color: #000;
            }
        }
    }
}